{% extends 'layout.twig' %}

{% block body %}

	<div class="contenu clearfix"  id="ImportBudget">
	<h1>{{ 'Paramétrage' | trad }}</h1>    
    {{ ariane() }}
    <h2 style="padding: 0px 15px;"></h2>
    {{ arianeSub() }}

    <div id="importBudgetaire" class="padding15">     
        <form method="POST" id='formulaireGeneral' enctype="multipart/form-data" class="bg_form padding_form border_form clearfix" >            
            <div class="clearfix">
                <div class="single">
                    {{ inputAdvance('FILE', {'name' : 'file', 'format' : 'excel'} ) }}
                </div>
            </div>
        	<center><h4>{{ 'Déposez votre fichier d\'import ci-dessus (fichier supporté : xls, xlsx, csv).' | trad }}</h4></center>
        	<center><h4>{{ 'Le format du fichier attendu est le suivant : code du fournisseur en colonne 1 et code article en colonne 2.' | trad }}</h4></center>
            <hr>
    		<button class="button principal button_right" type='button' onClick="ImportBudget('{{ path('Parametrage.ParametrageLADFournImport.ajaxImport') }}');">{{ 'Importer' | trad }}</button>
        </form>
    </div>

    <script>
        
        function ImportBudget(path)
        {
        	activeLoader();
            $.ajax({
            	url : path ,
            	data : jForm,
                type: 'POST',
                contentType: false,
                cache: false,
                processData: false,
                mimeType: "multipart/form-data",
                success: function (data) {            
                    desactiveLoader();
                    $("#modal-content").addClass("modal_small");
                    $("#modal-body").html(data);
                    activePopup();
                },
                error: function (data){
                	var data = jQuery.parseJSON(data.responseText);
                	if(data.postGestion){
                		redirectJSWithPost(data.path, data.postGestion);
                	}
                	else{
                		window.location.href = data.path;
                	}
                }
            });
        };
    </script>
    
{% endblock %}